Overview

Run batch query to edge deployment

Run batch query to edge deployment.

Use this endpoint to query data from a specific edge deployment. The data you query must be stored in the edge deployment where you query it. For more information, see Query data and Edge deployments.

The base domain for this endpoint is the base domain of the edge deployment where you want to query data.

Edge deployment Base domain for ingest and query
US East 1 (AWS) us-east-1.aws.edge.axiom.co
EU Central 1 (AWS) eu-central-1.aws.edge.axiom.co

This endpoint only supports API tokens. Personal access tokens (PATs) aren't supported. For more information, see Tokens.

POST/v1/query/batch
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Request body: application/json.

Input4
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
maxConcurrencyinteger · body
(query) Maximum number of concurrent queries to execute
nocacheboolean · body
(query) Whether to bypass cache for all queries in the batch
apl-sourcestring · body
(query) Contains the source of the APL query (for example console, dashboard, etc.)
apl-source-idstring · body
(query) Contains the id of the source, for example dashboard_id
Responses
200SSE stream of query results. Each event carries a kind field ("apl" or "mpl") indicating how the data payload for that queryId should be interpreted.
defaultError
Example input
curl -X POST 'https://AXIOM_DOMAIN/v1/query/batch' \
  -H 'Authorization: Bearer API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{}'

Updated

Was this page helpful?